Conversation Assignments
Assign Conversation
Assign a conversation to an agent or a team
POST
/
api
/
v1
/
accounts
/
{account_id}
/
conversations
/
{conversation_id}
/
assignments
Assign Conversation
curl --request POST \
--url https://airys.chat/api/v1/accounts/{account_id}/conversations/{conversation_id}/assignments \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"assignee_id": 1,
"team_id": 1
}
'import requests
url = "https://airys.chat/api/v1/accounts/{account_id}/conversations/{conversation_id}/assignments"
payload = {
"assignee_id": 1,
"team_id": 1
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({assignee_id: 1, team_id: 1})
};
fetch('https://airys.chat/api/v1/accounts/{account_id}/conversations/{conversation_id}/assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"access_token": "<string>",
"account_id": 123,
"available_name": "<string>",
"avatar_url": "<string>",
"confirmed": true,
"display_name": "<string>",
"message_signature": "<string>",
"email": "<string>",
"hmac_identifier": "<string>",
"inviter_id": 123,
"name": "<string>",
"provider": "<string>",
"pubsub_token": "<string>",
"ui_settings": {},
"uid": "<string>",
"type": "<string>",
"custom_attributes": {},
"accounts": [
{
"id": 123,
"name": "<string>",
"status": "<string>",
"active_at": "2023-11-07T05:31:56Z",
"permissions": [
"<string>"
],
"availability": "<string>",
"availability_status": "<string>",
"auto_offline": true,
"custom_role_id": 123,
"custom_role": {}
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
userApiKeyagentBotApiKey
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
The numeric ID of the conversation
Body
application/json
Response
Success
Available options:
agent, administrator Available for users who are created through platform APIs and has custom attributes associated.
Show child attributes
Show child attributes
⌘I
Assign Conversation
